import type { TreeNodeProps } from './treeNode';
declare const _default: (props: TreeNodeProps) => {
    root: import("./props").TreeInst;
    isExpanded: import("vue").ComputedRef<boolean>;
    isSelected: import("vue").ComputedRef<boolean>;
    isChecked: import("vue").ComputedRef<boolean>;
    isIndeterminate: import("vue").ComputedRef<boolean>;
    isInline: import("vue").ComputedRef<boolean>;
    isFirst: import("vue").ComputedRef<boolean>;
};
export default _default;
